AplasAplas API Reference

Retrieve a connector folder's contents metadata

GET
/connector/{connectorId}/status/{folder}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

connectorId*string

The id of the connector

folder*string

One of incoming, processing, completed, failed

Value in"incoming" | "processing" | "completed" | "failed"

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/connector/id/status/incoming"
[
  {
    "id": "string",
    "title": "string",
    "remoteTypeId": "string",
    "localType": 0,
    "reference": "string",
    "process": {
      "attempts": 0,
      "status": 0,
      "message": "string",
      "method": "string",
      "date": 0,
      "notified": "2019-08-24T14:15:22Z"
    },
    "version": "string",
    "created": {
      "name": "string",
      "email": "string",
      "date": "string"
    },
    "updated": {
      "name": "string",
      "email": "string",
      "date": "string"
    },
    "type": "string",
    "entityType": 0
  }
]
{
  "code": 500,
  "message": "Internal server error"
}